/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.etype.oser;

import java.io.Serializable;

/**
 * Serializable object.
 * @author Helene Joanin 
 * Contributor(s): 
 */

public class Name implements Serializable {

    public String firstName;
    public String lastName;

    public Name() {
	firstName = new String("fn_unknown");
	lastName = new String("ln_unknown");
    }

    public Name(String f, String l) {
	firstName = new String(f);
	lastName = new String(l);
    }

    public Name(Name n) {
	firstName = new String(n.firstName);
	lastName = new String(n.lastName);
    }

    public String toString() {
	String s = new String("(firstName='" + firstName + "',lastName='" + lastName +"')");
	return(s);
    }

    public boolean equals(Object other) {
	if (other == null) {
	    return false;
	}
	if (!(other instanceof Name)) {
	    return false;
	}
	Name oName = (Name) other;
	return (this.firstName.equals(oName.firstName) && this.lastName.equals(oName.lastName));
    }

}
